%define module	fields-aliased

Summary:	Create aliases for object fields
Name:		perl-%{module}
Version:	1.05
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/K/KV/KVAIL/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Tie-IxHash
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is a companion to the 'fields' module, which allows
efficient handling of instance variables with checking at compile
time. 'fields::aliased' goes one step further and creates lexical
aliases to the fields used by a method, so that they can be used
as regular lexical variables. This makes code shorter and also
easier to read.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/fields
%{perl_vendorarch}/auto/fields
%{_mandir}/*/*


%changelog
* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-3mdv2007.0
+ Revision: 114015
- rebuild

* Fri Jan 26 2007 Oden Eriksson <oeriksson@mandriva.com> 1.05-2mdv2007.1
+ Revision: 113845
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-fields-aliased



* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdk
- new version
- spec cleanup
- fix directory ownership

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.04-1mdk
- initial Mandriva package 
